Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: "Deus Max" <[email-masked]>
Date: Thu, 20 Jun 2019 15:00:23 +0200

Sent: Thursday, June 20, 2019 at 12:40 AM
From: "Eric Abrahamsen" <[email-masked]>
To: "Deus Max" <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

On 06/20/19 00:02 AM, Deus Max wrote:
> On Mon, Jun 17 2019, Eric Abrahamsen wrote:
>
>> Deus Max <[email-masked]> writes:
>>
>>> Hi Eric,
>>>
>>> I would be happy to test for gnus group names.
>>>
>>> Sorry, I haven't been following the thread.
>>> So, how can I help testing ?
>>
>> Cool, thanks! I don't know if you've built Emacs from git before, so
>> here's complete instructions, assuming something unixy:
>>
>> git clone https://git.savannah.gnu.org/git/emacs.git
>> cd emacs
>> git checkout scratch/gnus-decoded
>> make (maybe ./autogen.sh is needed?)
>> [back up your newsrc.eld file, and gnus.registry.eieio if you use it]
>> src/emacs
>>
>> Then just start Gnus as normal. Basically I'm just hoping that nothing
>> "funny" happens. Do what you usually do, maybe kill and yank some
>> groups, copy messages around, etc. See if anything looks wrong. There's
>> such an enormous variety of Gnus customization out there, it's important
>> to get more people with more setups running the code.
>>
>> Test until you get bored, and let me know if you see anything!
>>
>> Thanks again,
>> Eric
>
> Hi Eric,
>
> My previous emali converted the messages to ascii.
>
> Here is the Gnus related messages again:
>
> : Generating summary...done
> : Loading quail/greek...done
> : No such group: Dias/｣ｺ�ｻｹ�ｹｱ哩ｷ. Create it? (y or n) y
> : gnus-read-move-group-name: Couldnt create group Dias/｣ｺ�ｻｹ�ｹｱ哩ｷ

Oh bother. Once again an area I was quite sure I've tested. Can you tell
me which backend you're trying to create the group on?

Thank you very much for testing!

(And don't worry about sending the exact mis-encoded string, it's enough
to know it's mis-encoded.)

Using the nnimap backend